:host {
  display: grid;
  grid-template-columns: auto 1fr auto;
  grid-template-rows: auto auto;
  column-gap: 16px;
  width: 100%;
  font-family:Arial, Helvetica, sans-serif;
  font-size: 13px;
  border: 1px solid black;
  border-radius: 2em;
  position: relative;
}

.avatar {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  grid-row: 1 / 3;
  grid-column: 1;
  display: grid;
  place-items: center;
  background-color: aquamarine;
}

.date {
  grid-row: 1 / 3;
  grid-column: 3;
  margin-right: 16px;
  margin-top: 8px;
}

p {
  margin: 0;
  padding: 0;
}

.name {
  font-weight: 600;
}

.reactions {
  position: absolute;
  bottom: -8px;
  right: 12px;
  display: flex;
}

.icon {
  background-color: rgb(50, 50, 50);
  border-radius: 50%;
  padding: 2px;
  display: grid;
  place-items: center;
  width: 20px;
  height: 20px;
  color: white;
  position: relative;

  &.current {
    background-color: blue;
    
    &:hover {
      background-color: rgb(66, 66, 250);
    }
  }

  &:hover {
    background-color: rgb(100, 100, 100);
  }

  .counter {
    width: 10px;
    height: 10px;
    display: grid;
    place-items: center;
    transform: translateX(4px);
    background-color: white;
    color: black;
    border-radius: 50%;
    font-size: 10px;
  }
}
